%define cvs 20070113
Name:		rt2500
Version:	1.1.0.cvs%cvs
Release:	1%{?dist}
Summary:	Diagnostic tools for Ralink Wireless devices
Group:		System Environment/Base
License:	GPL
URL:		http://rt2x00.serialmonkey.com/
#Source0:	http://rt2x00.serialmonkey.com/rt2500-cvs-daily.tar.gz
#Rename daily to %{cvs} version of the tarball.
#Cleaned tarball from CVS entries.
Source0:	rt2500-cvs-%{cvs}.tar.bz2
Source1:	rt2500-snapshot.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	rt2500-kmod-common = %{version}
Requires:	rt2500-kmod >= %{version}
#Buildrequires:	desktop-file-utils
Requires:	%{_bindir}/consolehelper
# ppc version may be very buggy
#Exclusivearch:	i586 i686 x86_64

%description
This package contains the Ralink rt2500 Driver for WiFi, a linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use rt2500 chipsets.

This is the rt2500-kmod-common package.This contain the Utility to set RT2500

%prep
%setup -q -n %{name}-cvs-%{cvs}
mv Module/TESTING .
mv Module/README .
mv Utilitys/How_To_Compile.txt .
mv Utilitys/CONFIGURATION.TXT .
sed -i 's/\r//' LICENSE
sed -i 's/\r//' How_To_Compile.txt

%build
qmake -o Utilitys/Makefile Utilitys/raconfig2500.pro
make -C Utilitys %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 755 Utilitys/RaConfig2500 $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT2500STA
install -m 644 Module/RT2500STA.dat $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT2500STA
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts
install -D -p -m 0644 Module/ifcfg-ra0 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/rt2500
install -D -p -m 0644 Utilitys/ico/*.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/rt2500
install -D -p -m 0644 Utilitys/ico/*.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/rt2500
ln -s rt2500/RaConfig2500.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/RaConfig2500.xpm

cat > %{name}-modprobe.d <<EOF
# rt2500 Ralink wireless 
alias ra0 rt2500
#options rt2500 autocreate=sta
EOF

install -D -p -m 0644 %{name}-modprobe.d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/rt2500

cat > RaConfig2500.console <<EOF
USER=root
PROGRAM=%{_sbindir}/RaConfig2500
SESSION=true
EOF

install -D -p -m 0644 RaConfig2500.console $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/RaConfig2500

cat > RaConfig2500.pam <<EOF
#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF

install -p -D -m 0644 RaConfig2500.pam ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/RaConfig2500
ln -s ./consolehelper ${RPM_BUILD_ROOT}%{_bindir}/RaConfig2500

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=RaConfig2500
Version=1.1.0.cvs20061120
GenericName=Config tool 
Exec=RaConfig2500
Terminal=false
Icon=RaConfig2500.xpm
Type=Application
Encoding=UTF-8
Categories=Application;System;
EOF

#desktop-file-install --vendor fedora			\
#	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
#	--add-category X-fedora				\
#	*%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc THANKS CHANGELOG FAQ LICENSE CONFIGURATION.TXT How_To_Compile.txt README TESTING
%doc %{name}.desktop
%attr(755,root,root) 
%{_sbindir}/RaConfig2500
%{_bindir}/RaConfig2500
%{_datadir}/pixmaps/%{name}/*.xpm
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/pixmaps/RaConfig2500.xpm
%config(noreplace)%{_sysconfdir}/modprobe.d/rt2500
%config(noreplace)%{_sysconfdir}/sysconfig/network-scripts/ifcfg-ra0
%config(noreplace)%{_sysconfdir}/Wireless/RT2500STA/RT2500STA.dat
%config(noreplace)%{_sysconfdir}/pam.d/RaConfig2500
%config(noreplace)%{_sysconfdir}/security/console.apps/RaConfig2500
#%{_datadir}/applications/*%{name}.desktop



%changelog
* Sat Jan 13 2007 kwizart < kwizart at gmail.com > - 1.2.2.cvs20070113-1
- Update to 20070113

* Mon Nov 20 2006 kwizart < kwizart at gmail.com > - 1.2.2.cvs20061120-5.fc6
- Update to 20061120.
- Drop RuilT.

* Sun Aug 27 2006 kwizart < kwizart at gmail.com > - 1.1.0.cvs2006082716-5_FC5
- Update to cvs 2006082716.
- Drop link to RaConfig2500 ( but is still built).
- Requires RutilT.

* Tue Aug 17 2006 kwizart < kwizart at gmail.com > - 1.1.0.cvs2006081716-4_FC5
- Update to extra repository.
- RaConfig2500 now ask root password.
- Update to cvs 2006081716.

* Tue Aug 08 2006 kwizart < kwizart at gmail.com > - 0.0.0.2006080806-3_FC5
- Update to cvs 2006080806.
- fix xpm shortcut image.
- KMISC = extra.
- cvs prefixed in version.

* Sat Jul 22 2006 kwizart at < fedora-france.org > - 0.0.0-2_FC5
- inital release ( based on madwifi from livna.org ).

